Subject: bug#16774: Enabled minor mode lists

From: Stefan Kangas <[email-masked]>
Date: Thu, 20 Aug 2020 18:28:58 -0700

Evgkeni Sampelnikof <[email-masked]> writes:

> Has it been considered for each major mode to have a list of minor
> modes that are enabled in it? The list would be "executed" before the
> major-mode hook is run, and it would be modifiable through customize.
>
> This would give users unfamiliar with elisp more control. It would
> also reduce the negative aspects of enabling a minor mode by default
> -- finding out what's enabled and disabling would be trivial.

(This was reported 6 years ago but never got a reply at the time.)

I don't understand this feature request.  Isn't that exactly what the
major-mode hook is?  What exactly are you asking for here?

Best regards,
Stefan Kangas